Support » Plugin: Read and Understood » Parameter error on settings?

  • Resolved Sonja

    (@summit)


    Just installed on a test site to try out. Went to settings chose a category and checked the require login box. Upon saving we got

    Warning: _() expects exactly 1 parameter, 2 given in /home/sonjalo/public_html/wp-content/plugins/read-and-understood/class_wp_rnu.php on line 635

    http://wordpress.org/plugins/read-and-understood/

Viewing 4 replies - 1 through 4 (of 4 total)
  • @peter,

    Just to make sure this was not a plugin conflict, I installed it on a second test site with out extra plugins.

    It had the same error.

    I am excited about the potential for this plugin as it seems to track the acknowledgement and may be able to serve as an e-signature of sorts.

    Looks like you may have just omitted an underscore using
    _() instead of __().

    I have patched a local copy and it seems to be working.

    Thanks again for writing this plugin. It solves about 80% of what we need.

    Plugin Author petermantos

    (@petermantos)

    Thanks Summit. Let me apologize for the slow response as I was unaware of your posting. I’ll update my whitelist.

    Yes, you’re exactly right with your diagnosis and your fix.

    Version 1.2 corrects this and comes with a test plan that I ran successfully. For some reason, the single score translation function _() works in my environment.

    I’m glad that you find the plugin useful. If it covers 80% of what you need, I am wide open to suggestions to cover the other 20%.

    No worries. Thanks for the response & fix.

    I will do some more testing and share my thoughts on possible enhancements .

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Parameter error on settings?’ is closed to new replies.